name: olivamia_pos
description: "A new Flutter project."
publish_to: 'none'
version: 0.1.0

environment:
  sdk: '>=3.2.3 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  shared_preferences: ^2.2.2
  http: ^1.2.0
  flutter_sound: ^9.2.13
  assets_audio_player: ^3.1.1
  permission_handler: ^11.3.0
  path_provider: ^2.1.2
  camera: ^0.10.5+9
  universal_html: ^2.2.4
  dropdown_search: ^5.0.6
  intl: ^0.19.0
  omni_datetime_picker: ^1.0.9
  datetime_picker_formfield: ^2.0.1
  url_launcher: ^6.2.5
  timezone: ^0.9.2
  provider: ^6.1.2
  image: ^4.1.7
  file_picker: ^8.0.0+1
  collection: ^1.18.0
  sqflite: ^2.3.2
  pdf: ^3.10.8
  printing: ^5.12.0
  sqflite_common_ffi: ^2.3.2+1
  open_file: ^3.3.2
  excel: ^4.0.2
  csv: ^6.0.0
  spelling_number: ^0.0.4
  file_picker_writable: ^2.1.0+1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0
  flutter_launcher_icons: "^0.13.1"

flutter_launcher_icons:
    android: "launcher_icon"
    ios: true
    image_path: "assets/OlivaLogo.png"
    min_sdk_android: 21
    web:
      generate: true
      image_path: "assets/OlivaLogo.png"
    windows:
      generate: true
      image_path: "assets/OlivaLogo.png"
      icon_size: 256
    macos:
      generate: true
      image_path: "assets/OlivaLogo.png"


flutter:
  uses-material-design: true

  assets:
    - assets/OlivaLogo.png
    - assets/OlivaLogo.png
    - assets/OlivaLogo-BN.png
    - assets/OlivaLogo-WH.png
